> ## Documentation Index
> Fetch the complete documentation index at: https://docs.voxo.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Address

> Validate an address for E911 registration



## OpenAPI

````yaml https://api.voxo.co/v2/docs/openapi.json post /v2/admin/emergency-locations/validate-address
openapi: 3.1.0
info:
  title: VOXO API
  description: VOXO Communication Platform API
  version: 2.0.0
servers:
  - url: https://api.voxo.co
security:
  - bearerAuth: []
paths:
  /v2/admin/emergency-locations/validate-address:
    post:
      tags:
        - Emergency Locations
      summary: Validate Address
      description: Validate an address for E911 registration
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                city:
                  type: string
                  minLength: 1
                  description: City
                state:
                  type: string
                  minLength: 2
                  maxLength: 2
                  description: Two-letter state code
                location:
                  type: string
                  description: Location details (suite, floor, etc.)
                streetNum:
                  type: string
                  minLength: 1
                  description: Street number
                postalCode:
                  type: string
                  minLength: 1
                  description: Postal code
                streetInfo:
                  type: string
                  minLength: 1
                  description: Street name and type
              required:
                - city
                - state
                - location
                - streetNum
                - postalCode
                - streetInfo
              additionalProperties: false
      responses:
        '200':
          description: Validated address results
          content:
            application/json:
              schema:
                type: object
                properties:
                  type:
                    type: string
                    enum:
                      - corrected
                      - candidates
                    description: Result type (corrected or candidates)
                  addressList:
                    type: array
                    items:
                      type: object
                      properties:
                        streetNum:
                          type: string
                          description: Street number
                        streetInfo:
                          type: string
                          description: Street name and type
                        location:
                          type: string
                          description: Location details
                        city:
                          type: string
                          description: City
                        state:
                          type: string
                          description: Two-letter state code
                        postalCode:
                          type: string
                          description: Postal code
                      required:
                        - streetNum
                        - streetInfo
                        - location
                        - city
                        - state
                        - postalCode
                      additionalProperties: false
                    description: Validated address options
                required:
                  - type
                  - addressList
                additionalProperties: false
        '404':
          description: Error response
          content:
            application/json:
              schema:
                type: object
                properties:
                  name:
                    type: string
                  message:
                    type: string
                  code:
                    type: number
                  validationErrors:
                    type: array
                    items:
                      type: string
                required:
                  - name
                  - message
                  - code
                additionalProperties: false
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````